Subject: Re: [PATCH net 2/4] igc: Check if hardware TX timestamping is enabled earlier

From: Jakub Kicinski <[email-masked]>
Date: Thu, 1 Jun 2023 20:55:16 -0700

On Thu, 01 Jun 2023 14:21:35 -0700 Vinicius Costa Gomes wrote:
> > AFAICT the cancel / cleanup path is not synchronized (I mean for
> > accesses to adapter->tstamp_config) so this looks racy to me :(
> 
> As far as I can see, the racy behavior wasn't introduced here, can I
> propose the fix as a follow up patch? Or do you prefer that I re-spin
> this series?

I think respin would be better, you're rejigging the synchronization
here, who knows if you won't have to rejig differently to cover this
case.